<template>
  <section class="pre-footer content"
           :class="isMainPage ? `pre-footer--main` : ``"
           v-html="content"></section>
</template>

<script>
  import Accordion from './Accordion';

  export default {
    name: 'PreFooter',
    props: {
      content: {
        type: String,
        required: true,
      },

      isMainPage: {
        type: Boolean,
        default: false
      }
    },
    components: {
      Accordion
    },
  }
</script>

<style lang="scss">
  @import '~assets/scss/variables.scss';
  @import '~assets/scss/mixins.scss';

  .pre-footer {
    margin-top: rem(30);
    margin-bottom: rem(8);

    &--main {
      h2 {
        @include h3;

        margin-bottom: rem(20);
      }
    }

    &__title {
      @include h4;

      margin-bottom: rem(20);
      color: $dark-gray;

      strong {
        font-weight: inherit;
        color: $black;
      }
    }

    &__description {
      @include p2;

      max-width: rem(764);
      margin-bottom: rem(24);
      line-height: rem(22);
    }
  }

</style>
